Api key provided on integrations tab in Easyflow platform.
Transfer ticket between participants
Transfers a ticket from one participant to another. This is an authenticated route.
- The
x-fingerprint-idheader is required. Without it, the API returns401with the messageFingerprint must be provided.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
x-fingerprint-idstringrequiredDevice fingerprint of the request. Without it, the API returns
401with the messageFingerprint must be provided.
Request bodyrequired
Content typeapplication/jsonobject
ticketIdstring · uuidrequiredfromParticipantstring · uuidrequiredtoParticipantstring · uuidrequired
Responses
200Ticket successfully transferred.
Ticket successfully transferred.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
transferredboolean
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401The credential is missing or invalid, or the x-fingerprint-id header is missing (message Fingerprint must be provided).
The credential is missing or invalid, or the x-fingerprint-id header is missing (message Fingerprint must be provided).
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.